[PATCH] common.c cleanups

Remove unused function memsearch and make the searchpath variables static.

diff -urN a/NQ/common.c head/NQ/common.c
--- a/NQ/common.c	2006-01-22 11:22:13.000000000 +1030
+++ head/NQ/common.c	2006-01-22 14:32:03.000000000 +1030
@@ -1062,18 +1062,6 @@
 }
 
 
-/// just for debugging
-int
-memsearch(byte *start, int count, int search)
-{
-    int i;
-
-    for (i = 0; i < count; i++)
-	if (start[i] == search)
-	    return i;
-    return -1;
-}
-
 /*
 =============================================================================
 
@@ -1127,7 +1115,7 @@
     struct searchpath_s *next;
 } searchpath_t;
 
-searchpath_t *com_searchpaths;
+static searchpath_t *com_searchpaths;
 
 /*
 ============
diff -urN a/QW/common/common.c head/QW/common/common.c
--- a/QW/common/common.c	2006-01-22 11:22:13.000000000 +1030
+++ head/QW/common/common.c	2006-01-22 14:32:04.000000000 +1030
@@ -1145,18 +1145,6 @@
 }
 
 
-/// just for debugging
-int
-memsearch(byte *start, int count, int search)
-{
-    int i;
-
-    for (i = 0; i < count; i++)
-	if (start[i] == search)
-	    return i;
-    return -1;
-}
-
 /*
 =============================================================================
 
@@ -1209,8 +1197,8 @@
     struct searchpath_s *next;
 } searchpath_t;
 
-searchpath_t *com_searchpaths;
-searchpath_t *com_base_searchpaths;	// without gamedirs
+static searchpath_t *com_searchpaths;
+static searchpath_t *com_base_searchpaths;	// without gamedirs
 
 /*
 ================
